Bug 984273 - SELinux is preventing /opt/google/chrome/chrome from 'write' accesses on the directory xfce-perchannel-xml. [NEEDINFO]
SELinux is preventing /opt/google/chrome/chrome from 'write' accesses on the ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:3fdb32b84b1a06c9589a94f4e0d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-14 07:39 EDT by wainy.163
Modified: 2013-10-25 09:19 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-25 09:19:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgrepl: needinfo? (wainy.163)


Attachments (Terms of Use)

  None (edit)
Description wainy.163 2013-07-14 07:39:29 EDT
Description of problem:
maybe google-chrome want to access some files in local harddisk.
SELinux is preventing /opt/google/chrome/chrome from 'write' accesses on the directory xfce-perchannel-xml.

*****  Plugin catchall (100. confidence) suggests  ***************************

If 您确定应默认允许 chrome write 访问 xfce-perchannel-xml directory。
Then 您应该将这个情况作为 bug 报告。
您可以生成本地策略模块允许这个访问。
Do
请执行以下命令此时允许这个访问:
# grep chrome /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c
                              0.c1023
Target Context                unconfined_u:object_r:config_home_t:s0
Target Objects                xfce-perchannel-xml [ dir ]
Source                        chrome
Source Path                   /opt/google/chrome/chrome
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           google-chrome-stable-28.0.1500.71-209842.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-97.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.9-201.fc18.x86_64 #1 SMP Fri
                              Jul 5 16:42:02 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-07-14 19:35:24 CST
Last Seen                     2013-07-14 19:35:24 CST
Local ID                      d8f2c261-b1ed-40ed-9b78-f293ea79581c

Raw Audit Messages
type=AVC msg=audit(1373801724.241:590): avc:  denied  { write } for  pid=10086 comm="chrome" name="xfce-perchannel-xml" dev="sda4" ino=1580569 scontext=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:config_home_t:s0 tclass=dir


type=SYSCALL msg=audit(1373801724.241:590): arch=x86_64 syscall=open success=no exit=EACCES a0=7fd82aabb948 a1=441 a2=1b6 a3=0 items=0 ppid=0 pid=10086 auid=1001 uid=1001 gid=1001 euid=1001 suid=1001 fsuid=1001 egid=1001 sgid=1001 fsgid=1001 ses=19 tty=(none) comm=chrome exe=/opt/google/chrome/chrome subj=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 key=(null)

Hash: chrome,chrome_sandbox_t,config_home_t,dir,write

audit2allow

#============= chrome_sandbox_t ==============
#!!!! This avc is allowed in the current policy

allow chrome_sandbox_t config_home_t:dir write;

audit2allow -R
require {
	type chrome_sandbox_t;
}

#============= chrome_sandbox_t ==============
gnome_delete_home_config_dirs(chrome_sandbox_t)


Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.9-201.fc18.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2013-07-15 10:04:05 EDT
What does it want to write?

# semanage permissive -a chrome_sandbox_t

re-test

# ausearch -m avc -ts recent

# semanage permissive -d chrome_sandbox_t

Note You need to log in before you can comment on or make changes to this bug.